This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 52589 - Enhanced rdate(1) available (and fixes some bugs)
Enhanced rdate(1) available (and fixes some bugs)
Status: CLOSED DEFERRED
Product: Red Hat Raw Hide
Classification: Retired
Component: rdate (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
ftp://ftp.corpit.ru/pub/rdate/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-25 18:49 EDT by Michael Tokarev
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-25 18:49:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Tokarev 2001-08-25 18:49:37 EDT
This is once again almost from scratch rewritten rdate utility.
I found current "classic" one is rather useless for many applications
(I'm aware of ntp et al).  I have a bunch of dialup servers connected
to internet only occantionally, and need to set system time.  Bad
things is that modem links are sometimes bad/unstable (retrains etc),
and ntp wan't work...

In the ftp directory above you'll find implementation that have:

 - long options support (cosmetic change)
 - timeout support (treat timed-out host as failed)
 - average time calculation (previously, time was set
   only based on answer from *first* host -- now it
   uses average time based on all hosts)
 - attempt to compensate "roundtrip" -- by adding a
   half delay between connection and answer.  Not
   *very* accurate but more appropriate
 - limit amount of local time change: do not change
   it if it will differ more than n secounds
 - minimum answers constraint: do not set system time
   if less than n hosts answered
 - average remote time display
 - display difference between local and remote time
 - use getservbyname("time", "udp") (not "tcp") for
   UDP (was very minor bug)
 - do not call getservbyname() for every host
   (was monor "bug")
 - almost fully compatible with previous incarnation.
   Incompatibilities are:
  - using average time when more than one host requested
    (it was a bug imho -- ignorance of other hosts in this case)
  - half-connect-answer-delay correction (non-issue on fast network)
  - remote time collected from all hosts first, then printed
    (not repeat(query+print), but repeat(query)+repeat(print)) --
    again, not an issue on fast network
  - more command-line options was added
  Having the above incompatibilities, I still say it *is*
  backward-compatible: all the issues can be seen on slow
  network, where previous version was unuseable at all (now
  it is useable somehow).

I also wanted to add syslog support, and turn it on by default --
so that rdate will log system time change.  But this will
be really incompatible change, and I delayed it for now.

I named it `rdate-1.5-0'.  You can find both source and rpms
in the directory specified.

I'm aware of bug#29103 (problem setting time: GMT vs LOCAL) --
but this is not an rdate issue per se: it is stime() syscall issue.
BTW, what syscall should be used to set time in GMT?  settimeofday()?
Comment 1 Phil Knirsch 2001-08-27 08:14:15 EDT
Thanks for reporting this. Unfortunately it is a little too late for our next
upcoming release to be included, but i will check it for the next release.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.